### Method

# Ide Debugger list_params_finish

#### Declaration

    GPtrArray*
    ide_debugger_list_params_finish (
      IdeDebugger* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Completes an asynchronous request to ide_debugger_list_params_async().

Available since: | 3.32

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `None`
| A `GPtrArray` of `IdeDebuggerVariable` if successful; otherwise `NULL` and error is set.
| The caller of the method takes ownership of the data, and is responsible for freeing it.